<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: sunsensor.Photodiode Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classsunsensor_1_1_photodiode.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classsunsensor_1_1_photodiode-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">sunsensor.Photodiode Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for sunsensor.Photodiode:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classsunsensor_1_1_photodiode.png" usemap="#sunsensor.Photodiode_map" alt=""/>
  <map id="sunsensor.Photodiode_map" name="sunsensor.Photodiode_map">
<area href="classsunsensor_1_1_sunsensor.html" alt="sunsensor.Sunsensor" shape="rect" coords="0,112,137,136"/>
<area href="class_sensor_1_1_sensor.html" alt="Sensor.Sensor" shape="rect" coords="0,56,137,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab091d0938910c713729689bd5be1d116"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#ab091d0938910c713729689bd5be1d116">__init__</a> (self, str <a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a>, str <a class="el" href="classsunsensor_1_1_photodiode.html#a751ff21127a1a487c4c3d6fbacc2fc86">database</a>, int <a class="el" href="classsunsensor_1_1_photodiode.html#aef5bd48ec99b007fed3a3e1429f707a8">mode</a>, <a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a>, float <a class="el" href="classsunsensor_1_1_photodiode.html#a5fffbe1f2839ae58d8cbcc5449a4dbf6">accuracy</a>, float <a class="el" href="classsunsensor_1_1_photodiode.html#ac9b5bfb98ec76a905bed629e9103ceb4">precision</a>, int <a class="el" href="classsunsensor_1_1_photodiode.html#ae6b3e9fdde1a533c66176a1551294164">fov</a>, float <a class="el" href="classsunsensor_1_1_photodiode.html#ac7ef0c4b37ae39bb80a9d3db2d5cdea5">max_current</a>, float <a class="el" href="classsunsensor_1_1_photodiode.html#a82ff94922f471f81e4047c610064749f">sampling_rate</a>, bool <a class="el" href="classsunsensor_1_1_photodiode.html#ad2ed3bf47145c35a4d61eaf6365a5186">digital</a>=False, bool <a class="el" href="classsunsensor_1_1_photodiode.html#aa4b51369b96ed8c871200251ff56d09d">active</a>=True)</td></tr>
<tr class="separator:ab091d0938910c713729689bd5be1d116"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e5ea3a58df8d426ff09a47b192fe545"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#a7e5ea3a58df8d426ff09a47b192fe545">get_parameters</a> (self)</td></tr>
<tr class="separator:a7e5ea3a58df8d426ff09a47b192fe545"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaebfa2abba6b431c1ebebd58587fefb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#afaebfa2abba6b431c1ebebd58587fefb">set_fov</a> (self, int <a class="el" href="classsunsensor_1_1_photodiode.html#ae6b3e9fdde1a533c66176a1551294164">fov</a>)</td></tr>
<tr class="separator:afaebfa2abba6b431c1ebebd58587fefb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a166b35cc7e5c82ee5fda25739adf0f13"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#a166b35cc7e5c82ee5fda25739adf0f13">get_photo_current_noise</a> (self, current_ideal)</td></tr>
<tr class="separator:a166b35cc7e5c82ee5fda25739adf0f13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77935bac0ff334578285343eb1c37959"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#a77935bac0ff334578285343eb1c37959">set_max_current</a> (self)</td></tr>
<tr class="separator:a77935bac0ff334578285343eb1c37959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abce5cee2b2c5dc7e555d33b60166d307"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#abce5cee2b2c5dc7e555d33b60166d307">set_sampling_rate</a> (self, float <a class="el" href="classsunsensor_1_1_photodiode.html#a82ff94922f471f81e4047c610064749f">sampling_rate</a>)</td></tr>
<tr class="separator:abce5cee2b2c5dc7e555d33b60166d307"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51a34beb1509be5de7e65e88e48b7a43"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#a51a34beb1509be5de7e65e88e48b7a43">output</a> (self, float sim_time)</td></tr>
<tr class="separator:a51a34beb1509be5de7e65e88e48b7a43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4190e895de5dcdcbc2625b9a7f9d564"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#ad4190e895de5dcdcbc2625b9a7f9d564">run</a> (self)</td></tr>
<tr class="separator:ad4190e895de5dcdcbc2625b9a7f9d564"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classsunsensor_1_1_sunsensor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classsunsensor_1_1_sunsensor')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classsunsensor_1_1_sunsensor.html">sunsensor.Sunsensor</a></td></tr>
<tr class="memitem:a19a1fced1a8c1c4b2dc2ecdc13ba96af inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_sunsensor.html#a19a1fced1a8c1c4b2dc2ecdc13ba96af">satellite_to_sun</a> (self, sim_time, bool commit=True)</td></tr>
<tr class="separator:a19a1fced1a8c1c4b2dc2ecdc13ba96af inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05102a98b2bdd206f0576e4ae607e6ce inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_sunsensor.html#a05102a98b2bdd206f0576e4ae607e6ce">is_side_in_sun</a> (self, <a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a>, sat_to_sun)</td></tr>
<tr class="separator:a05102a98b2bdd206f0576e4ae607e6ce inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80359f68c0730a4f78c7603f5d600316 inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_sunsensor.html#a80359f68c0730a4f78c7603f5d600316">compute_sunvector_from_photo_currents</a> (self, sim_time, photo_currents)</td></tr>
<tr class="separator:a80359f68c0730a4f78c7603f5d600316 inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a421adae2f9008510a818ed9e629803c3 inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_sunsensor.html#a421adae2f9008510a818ed9e629803c3">compute_sunvector_from_photo_currents_alternative</a> (self, sim_time, photo_currents)</td></tr>
<tr class="separator:a421adae2f9008510a818ed9e629803c3 inherit pub_methods_classsunsensor_1_1_sunsensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a0d0414d420e2d284be4e0b17d5aaf6a6">check_parameter_update</a> (self)</td></tr>
<tr class="separator:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae6b3e9fdde1a533c66176a1551294164"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#ae6b3e9fdde1a533c66176a1551294164">fov</a></td></tr>
<tr class="separator:ae6b3e9fdde1a533c66176a1551294164"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7ef0c4b37ae39bb80a9d3db2d5cdea5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#ac7ef0c4b37ae39bb80a9d3db2d5cdea5">max_current</a></td></tr>
<tr class="separator:ac7ef0c4b37ae39bb80a9d3db2d5cdea5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4b51369b96ed8c871200251ff56d09d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#aa4b51369b96ed8c871200251ff56d09d">active</a></td></tr>
<tr class="separator:aa4b51369b96ed8c871200251ff56d09d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2ed3bf47145c35a4d61eaf6365a5186"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#ad2ed3bf47145c35a4d61eaf6365a5186">digital</a></td></tr>
<tr class="separator:ad2ed3bf47145c35a4d61eaf6365a5186"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef5bd48ec99b007fed3a3e1429f707a8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#aef5bd48ec99b007fed3a3e1429f707a8">mode</a></td></tr>
<tr class="separator:aef5bd48ec99b007fed3a3e1429f707a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a751ff21127a1a487c4c3d6fbacc2fc86"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#a751ff21127a1a487c4c3d6fbacc2fc86">database</a></td></tr>
<tr class="separator:a751ff21127a1a487c4c3d6fbacc2fc86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fffbe1f2839ae58d8cbcc5449a4dbf6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#a5fffbe1f2839ae58d8cbcc5449a4dbf6">accuracy</a></td></tr>
<tr class="separator:a5fffbe1f2839ae58d8cbcc5449a4dbf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9b5bfb98ec76a905bed629e9103ceb4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#ac9b5bfb98ec76a905bed629e9103ceb4">precision</a></td></tr>
<tr class="separator:ac9b5bfb98ec76a905bed629e9103ceb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82ff94922f471f81e4047c610064749f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#a82ff94922f471f81e4047c610064749f">sampling_rate</a></td></tr>
<tr class="separator:a82ff94922f471f81e4047c610064749f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f5cfaf398d8ddf1a7e1840ce38b4e91"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsunsensor_1_1_photodiode.html#a0f5cfaf398d8ddf1a7e1840ce38b4e91">column_names</a></td></tr>
<tr class="separator:a0f5cfaf398d8ddf1a7e1840ce38b4e91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a></td></tr>
<tr class="separator:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a></td></tr>
<tr class="separator:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a></td></tr>
<tr class="separator:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a></td></tr>
<tr class="separator:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a></td></tr>
<tr class="separator:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a></td></tr>
<tr class="separator:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a></td></tr>
<tr class="separator:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a7709b892a731f2d22d89c7bb8d7bcedf">parameter_count</a></td></tr>
<tr class="separator:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a></td></tr>
<tr class="separator:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab091d0938910c713729689bd5be1d116" name="ab091d0938910c713729689bd5be1d116"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab091d0938910c713729689bd5be1d116">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.Photodiode.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>digital</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>outputs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>active</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>fov</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>max_current</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sampling_rate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>digital</em> = <code>False</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>active</em> = <code>True</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Parameters and functions, that all sensors share

:param name: (string) name of the sensor
:param position: (numpy array, 3x1 x y z) position of the sensor in the satellite frame in m
:param orientation: (numpy array, 1x4 qi qj qk qr) orientation of the sensor in quaternions in the
                                                                                            satellite frame
:param database: (string, .db) name of the database to read/write from/in
:param digital: (bool) defines if the sensor is digital or analog
:param mode: (int) chooses between a different set of predefined parameter for the sensor
:param active: (Boolean) activates or deactivates the sensor
</pre> 
<p>Reimplemented from <a class="el" href="class_sensor_1_1_sensor.html#a49b7ea4faa0488707970f4ecc64ab10b">Sensor.Sensor</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7e5ea3a58df8d426ff09a47b192fe545" name="a7e5ea3a58df8d426ff09a47b192fe545"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e5ea3a58df8d426ff09a47b192fe545">&#9670;&nbsp;</a></span>get_parameters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.Photodiode.get_parameters </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns all parameters that an instance of class Photodiode possess
</pre> 
</div>
</div>
<a id="a166b35cc7e5c82ee5fda25739adf0f13" name="a166b35cc7e5c82ee5fda25739adf0f13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a166b35cc7e5c82ee5fda25739adf0f13">&#9670;&nbsp;</a></span>get_photo_current_noise()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.Photodiode.get_photo_current_noise </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>current_ideal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Returns gaussian noise as a function of output current.</pre> 
</div>
</div>
<a id="a51a34beb1509be5de7e65e88e48b7a43" name="a51a34beb1509be5de7e65e88e48b7a43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51a34beb1509be5de7e65e88e48b7a43">&#9670;&nbsp;</a></span>output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.Photodiode.output </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sim_time</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">returns photo currents from photodiodes
</pre> 
</div>
</div>
<a id="ad4190e895de5dcdcbc2625b9a7f9d564" name="ad4190e895de5dcdcbc2625b9a7f9d564"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4190e895de5dcdcbc2625b9a7f9d564">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.Photodiode.run </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Starts the sensor.</pre> 
</div>
</div>
<a id="afaebfa2abba6b431c1ebebd58587fefb" name="afaebfa2abba6b431c1ebebd58587fefb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaebfa2abba6b431c1ebebd58587fefb">&#9670;&nbsp;</a></span>set_fov()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.Photodiode.set_fov </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>fov</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Change Field of View of the sun sensor </pre> 
</div>
</div>
<a id="a77935bac0ff334578285343eb1c37959" name="a77935bac0ff334578285343eb1c37959"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77935bac0ff334578285343eb1c37959">&#9670;&nbsp;</a></span>set_max_current()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.Photodiode.set_max_current </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Set upper limit for output current  </pre> 
</div>
</div>
<a id="abce5cee2b2c5dc7e555d33b60166d307" name="abce5cee2b2c5dc7e555d33b60166d307"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abce5cee2b2c5dc7e555d33b60166d307">&#9670;&nbsp;</a></span>set_sampling_rate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def sunsensor.Photodiode.set_sampling_rate </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sampling_rate</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Change the frequency of the sensor.

:param sampling_rate: (float) sampling rate of the sensor in Hz
</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a5fffbe1f2839ae58d8cbcc5449a4dbf6" name="a5fffbe1f2839ae58d8cbcc5449a4dbf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fffbe1f2839ae58d8cbcc5449a4dbf6">&#9670;&nbsp;</a></span>accuracy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.Photodiode.accuracy</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa4b51369b96ed8c871200251ff56d09d" name="aa4b51369b96ed8c871200251ff56d09d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4b51369b96ed8c871200251ff56d09d">&#9670;&nbsp;</a></span>active</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.Photodiode.active</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0f5cfaf398d8ddf1a7e1840ce38b4e91" name="a0f5cfaf398d8ddf1a7e1840ce38b4e91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f5cfaf398d8ddf1a7e1840ce38b4e91">&#9670;&nbsp;</a></span>column_names</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.Photodiode.column_names</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a751ff21127a1a487c4c3d6fbacc2fc86" name="a751ff21127a1a487c4c3d6fbacc2fc86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a751ff21127a1a487c4c3d6fbacc2fc86">&#9670;&nbsp;</a></span>database</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.Photodiode.database</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2ed3bf47145c35a4d61eaf6365a5186" name="ad2ed3bf47145c35a4d61eaf6365a5186"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2ed3bf47145c35a4d61eaf6365a5186">&#9670;&nbsp;</a></span>digital</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.Photodiode.digital</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6b3e9fdde1a533c66176a1551294164" name="ae6b3e9fdde1a533c66176a1551294164"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6b3e9fdde1a533c66176a1551294164">&#9670;&nbsp;</a></span>fov</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.Photodiode.fov</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac7ef0c4b37ae39bb80a9d3db2d5cdea5" name="ac7ef0c4b37ae39bb80a9d3db2d5cdea5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7ef0c4b37ae39bb80a9d3db2d5cdea5">&#9670;&nbsp;</a></span>max_current</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.Photodiode.max_current</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aef5bd48ec99b007fed3a3e1429f707a8" name="aef5bd48ec99b007fed3a3e1429f707a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef5bd48ec99b007fed3a3e1429f707a8">&#9670;&nbsp;</a></span>mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.Photodiode.mode</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac9b5bfb98ec76a905bed629e9103ceb4" name="ac9b5bfb98ec76a905bed629e9103ceb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9b5bfb98ec76a905bed629e9103ceb4">&#9670;&nbsp;</a></span>precision</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.Photodiode.precision</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a82ff94922f471f81e4047c610064749f" name="a82ff94922f471f81e4047c610064749f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82ff94922f471f81e4047c610064749f">&#9670;&nbsp;</a></span>sampling_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sunsensor.Photodiode.sampling_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="sunsensor_8py.html">sunsensor.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesunsensor.html">sunsensor</a></li><li class="navelem"><a class="el" href="classsunsensor_1_1_photodiode.html">Photodiode</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
